com.io7m.r2.core.cursors

## Class R2VertexP32RGBA8ByteBuffered

- java.lang.Object
- - com.io7m.r2.core.cursors.R2VertexP32RGBA8ByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, R2VertexP32RGBA8ReadableType, R2VertexP32RGBA8Type, R2VertexP32RGBA8WritableType

      public final class R2VertexP32RGBA8ByteBuffered
      extends Object
      implements R2VertexP32RGBA8Type

  A `ByteBuffer` based implementation of the `R2VertexP32RGBA8` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2RGBA8ReadableType` | `getColorReadable()`
    `R2RGBA8Type` | `getColorWritable()`
    `com.io7m.jtensors.VectorReadable3FType` | `getPositionReadable()`
    `com.io7m.jtensors.Vector3FType` | `getPositionWritable()`
    `int` | `metaColorOffsetFromCursor()`
    `int` | `metaColorOffsetFromType()`
    `static int` | `metaColorStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaColorType()`
    `int` | `metaPositionOffsetFromCursor()`
    `int` | `metaPositionOffsetFromType()`
    `static int` | `metaPositionStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaPositionType()`
    `static R2VertexP32RGBA8Type` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static R2VertexP32RGBA8Type` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static R2VertexP32RGBA8Type newValueWithOffset(ByteBuffer in_buffer,
                                                                com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                                int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static R2VertexP32RGBA8Type newValue(ByteBuffer in_buffer,
                                                      com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaPositionOffsetFromType

          public int metaPositionOffsetFromType()

      Specified by:
        `metaPositionOffsetFromType` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The offset in octets of the `position` field, from the start of the type

    - #### metaPositionStaticOffsetFromType

          public static int metaPositionStaticOffsetFromType()

      Returns:
        The offset in octets of field `position` from the start of the type

    - #### metaPositionOffsetFromCursor

          public int metaPositionOffsetFromCursor()

      Specified by:
        `metaPositionOffsetFromCursor` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The offset in octets of the `position` field, from the cursor

    - #### metaPositionType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaPositionType()

      Specified by:
        `metaPositionType` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The type of the `position` field

    - #### getPositionReadable

          public com.io7m.jtensors.VectorReadable3FType getPositionReadable()

      Specified by:
        `getPositionReadable` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        Read-only access to the `position` field

    - #### getPositionWritable

          public com.io7m.jtensors.Vector3FType getPositionWritable()

      Specified by:
        `getPositionWritable` in interface `R2VertexP32RGBA8WritableType`
      Returns:
        Writable access to the `position` field

    - #### metaColorOffsetFromType

          public int metaColorOffsetFromType()

      Specified by:
        `metaColorOffsetFromType` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The offset in octets of the `color` field, from the start of the type

    - #### metaColorStaticOffsetFromType

          public static int metaColorStaticOffsetFromType()

      Returns:
        The offset in octets of field `color` from the start of the type

    - #### metaColorOffsetFromCursor

          public int metaColorOffsetFromCursor()

      Specified by:
        `metaColorOffsetFromCursor` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The offset in octets of the `color` field, from the cursor

    - #### metaColorType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaColorType()

      Specified by:
        `metaColorType` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        The type of the `color` field

    - #### getColorReadable

          public R2RGBA8ReadableType getColorReadable()

      Specified by:
        `getColorReadable` in interface `R2VertexP32RGBA8ReadableType`
      Returns:
        Read-only access to the `color` field

    - #### getColorWritable

          public R2RGBA8Type getColorWritable()

      Specified by:
        `getColorWritable` in interface `R2VertexP32RGBA8WritableType`
      Returns:
        Writable access to the `color` field

Copyright © 2016 <code@io7m.com> http://io7m.com